// CSS variables / custom properties for base_files/scss/_tiki-pagetop_colors.scss -- Interpolation info from https://developersink.com/css/css-custom-properties-sass-variables/
// Background images (actual images or CSS gradients, etc.), if assigned, override background colors.

// Used for L&F nav color choice and color mode override
@mixin top-nav-dark {
    --tiki-top-bg: #{$primary};
    --tiki-top-color: #{$white};
    --tiki-top-hover-color: #{$white};
    --tiki-top-hover-bg: rgba(255,255,255,.15);
    --tiki-top-text-color: #{$white};
    --tiki-top-border: none;
    --tiki-top-box-shadow: none;
    --bs-navbar-brand-color: #{$navbar-dark-brand-color};
    --bs-navbar-brand-hover-color: #{$navbar-dark-brand-hover-color};
}

@mixin topbar-nav-dark {
    --tiki-topbar-bg: #{$primary};
    --tiki-topbar-color: #{$white};
    --tiki-topbar-hover-color: #{$white};
    --tiki-topbar-hover-bg: rgba(255,255,255,.15);
    --tiki-topbar-text-color: #{$white};
    --tiki-topbar-border: none;
    --tiki-topbar-box-shadow: none;
    --tiki-top-border-width: 0;
    --tiki-topbar-border-width: 0;
}

@mixin top-nav-light {
    --tiki-top-bg: #{$primary};
    --tiki-top-color: #{$white};
    --tiki-top-hover-color: #{$navbar-light-hover-color};
    --tiki-top-active-color: #{$navbar-light-hover-color};
    --tiki-top-hover-bg: rgba(255,255,255,.15);
    --tiki-top-active-bg: rgba(255,255,255,.15);
    --tiki-top-text-color: #{$white};
    --tiki-top-border: none;
    --tiki-top-box-shadow: none;
    --bs-navbar-brand-color: #{$navbar-light-brand-color};
    --bs-navbar-brand-hover-color: #{$navbar-light-brand-hover-color};
}

@mixin topbar-nav-light {
    --tiki-topbar-bg: #{$primary};
    --tiki-topbar-color: #{$white};
    --tiki-topbar-hover-color: #{$white};
    --tiki-topbar-active-color: #{$white};
    --tiki-topbar-hover-bg: rgba(255,255,255,.15);
    --tiki-topbar-active-bg: rgba(255,255,255,.15);
    --tiki-topbar-text-color: #{$white};
    --tiki-topbar-border: none; // solid #1a1a1a;
    --tiki-topbar-box-shadow: none;
}

.tiki-top-nav-light {
    @include top-nav-light;
}

.tiki-topbar-nav-light {
    @include topbar-nav-light;
}

.tiki-top-nav-dark {
    @include top-nav-dark;
}

.tiki-topbar-nav-dark {
    @include topbar-nav-dark;
}

// Color mode preference trumps L&F admin light navbar option
[data-bs-theme=dark] {                              // color mode
    .tiki-top-nav-light {                           // light top selector
        @include top-nav-dark;                      // dark values
    }
    .tiki-topbar-nav-light {
        @include topbar-nav-dark;
    }
}

// Color mode preference trumps L&F admin dark navbar option
[data-bs-theme=light] {                              // color mode
    .tiki-top-nav-dark {                           // dark top selector
        @include top-nav-light;                      // light values
    }
    .tiki-topbar-nav-dark {
        @include topbar-nav-light;
    }
}

:root {
    --tiki-fixed-top-site-title-font-size: 1.8rem;          // Fixed-top position (Basic Bootstrap layout)
    --tiki-fixed-top-site-title-font-weight: 700;
    --tiki-fixed-top-site-subtitle-font-size: 1.4rem;
    --tiki-fixed-top-site-subtitle-font-weight: 400;

    --tiki-site-title-font-size: 2rem;                      // Static position (Classic Tiki and Single Container layouts)
    --tiki-site-title-font-weight: 700;
    --tiki-site-subtitle-font-size: 1.5rem;
    --tiki-site-subtitle-font-weight: 400;
}

// - - - - - New admin pages (Unified Admin Backend) - - - - - - - //

// Light navbar minus top nav
.tiki .tiki-admin-top-nav-light,
.tiki .tiki-admin-aside-nav-light {
    --tiki-admin-top-nav-color: rgba(0, 0, 0, 0.55); //  rgba(0, 0, 0, 0.9);
    --tiki-admin-top-nav-hover-color: rgba(0, 0, 0, 0.7);
    --tiki-admin-top-nav-hover-bg: none ;
    --tiki-admin-aside-nav-bg: var(--tiki-top-bg);
    --tiki-admin-aside-nav-color: var(--tiki-admin-top-nav-color);
    --tiki-admin-aside-nav-hover-color: var(--tiki-admin-top-nav-hover-color);
    --tiki-admin-dropdown-bg: #{$dropdown-bg};
    --tiki-admin-dropdown-link-color: #{$navbar-light-color};
    --tiki-admin-dropdown-link-hover-color: #fff;
    --tiki-admin-dropdown-link-hover-bg: rgba(255,255,255,.15);
}
// Light top nav
.tiki.tiki-admin .top_modules.navbar-light-parent {
    --tiki-admin-top-nav-bg: var(--tiki-top-bg);
}

// Dark navbar minus top nav
.tiki .tiki-admin-top-nav-dark,
.tiki .tiki-admin-aside-nav-dark {
    --tiki-admin-top-nav-color: #fff;
    --tiki-admin-top-nav-hover-color: #fff;
    --tiki-admin-top-nav-hover-bg: #fff;
    --tiki-admin-aside-nav-bg: #{$primary};
    --tiki-admin-aside-nav-color: var(--tiki-admin-top-nav-color);
    --tiki-admin-aside-nav-hover-color: var(--tiki-admin-top-nav-hover-color);
    --tiki-admin-dropdown-bg: #{$dropdown-bg};
    --tiki-admin-dropdown-link-color: #{$dropdown-dark-link-color};
    --tiki-admin-dropdown-link-bg: #1C1C1C;
    --tiki-admin-dropdown-link-hover-color: #{$dropdown-dark-link-hover-color};
    --tiki-admin-dropdown-link-hover-bg: rgba(255,255,255,.15);
}
// Dark top nav
.tiki.tiki-admin .top_modules.navbar-dark-parent {
    --tiki-admin-top-nav-bg: #{$primary};
}
// - - - - - New admin pages (Unified Admin Backend) END - - - - - - - //

// Other styles
:root {
    --tiki-main-content-bg: #fff;
    --tiki-bookstacked-col2-col3-position: sticky;
    --tiki-bookstacked-col2-col3-overflow-y: auto;
}

[data-bs-theme=dark] {
    --tiki-main-content-bg: #222;
}